<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

only_reg();
$set['title']='Загрузка Картинки';
include_once '../sys/inc/thead.php';
title();

if (isset($_POST['save']))
{

if (isset($_POST['opis'])) {$opis = $_POST['opis'];}

$opis=esc(stripcslashes(htmlspecialchars($opis)));
$opis = substr($opis, 0, 512);

$file=esc(stripcslashes(htmlspecialchars($_FILES['uploadfile']['name'])));
$file=ereg_replace('(#|\?)', NULL, $file);

if (isset($_POST['name']) && $_POST['name'] != '') 
{
	$name = substr($name, 0, 150);
	$name = $_POST['name'];
	$name=eregi_replace('\.[^\.]*$', NULL, $name); // имя файла без расширения
	$name = "$name"._."$user[id]";
}
else
{
$name=eregi_replace('\.[^\.]*$', NULL, $file); // имя файла без расширения	
$name = substr($name, 0, 150);
$name = "$user[id]"._."$time";
}

$ras=strtolower(eregi_replace('^.*\.', NULL, $file)); //Расширение файла	

$uploaddir = 'files/';
$uploadfile = $uploaddir . $name;

if ($ras == 'jpg'  or $ras == 'png' or $ras == 'gif')
{
copy($_FILES['uploadfile']['tmp_name'], $uploadfile .".$ras");
if (copy($_FILES['uploadfile']['tmp_name'], $uploadfile .".$ras"))
{
mysql_query("INSERT INTO `pricol_img` (`id_user`, `name`, `ras`, `opis`) values('$user[id]', '$name', '$ras', '$opis')");
msg ("Файл успешно загружен на сервер");
}
else { 
$err[] = ("Ошибка! Не удалось загрузить файл на сервер!"); 
err();
}

}
else {
$err[] = ("Ошибка! Не верное расширение файла"); 
err();
}
}

echo"<form enctype='multipart/form-data' action='' method='post'>";
echo"Вы можете загрузить файлы с расширением (png, gif, jpg) размером не более 1.5мб.><br />";
 echo"<input type='file' name='uploadfile' accept='image/*,image/gif,image/jpeg'><br />";
 echo"Имя файла: (Не обязательно)<br />";
  echo"<input type='text' name='name'><br />";
 echo"Описание файла: max-512 символов<br />";
 echo"<textarea name='opis'></textarea><br />";
 echo"<input name='save' type='submit' value='Сохранить'>";
 echo"</form>";



echo "<img src='/style/back.gif' alt='' class='icon'/>\n";
	echo "<a href='/pricol_img/'>Обратно</a>";



include_once '../sys/inc/tfoot.php';
?>
